- model_class = User
.page-header
  h1=t '.title', :default => model_class.model_name.human.pluralize.titleize
table.table.table-striped
  thead
    tr
      th= model_class.human_attribute_name(:id)
      th= model_class.human_attribute_name(:name)
      th= model_class.human_attribute_name(:role)
      th= model_class.human_attribute_name(:email)
      th= t '.actions', :default => t("helpers.actions")
  tbody
    - @users.each do |user|
      tr
        td= link_to user.id, user_path(user)
        td= user.name
        td= user.role
        td= user.email
        td
          .btn-group role="group"
            - if can? :read, User
              = link_to t('.show', :default => t("helpers.links.show")), user_path(user), :class => 'btn btn-light'
            - if can? :manage, user
              = link_to t('.edit', :default => t("helpers.links.edit")), edit_user_path(user), :class => 'btn btn-secondary'
            - if can? :destroy, user  
              = link_to t('.destroy', :default => t("helpers.links.destroy")), user_path(user), :method => :delete, :data => { :confirm => t('.confirm', :default => t("helpers.links.confirm", :default => 'Are you sure?')) }, :class => 'btn btn-danger'